# class toResultPlan

This widget displays the execution plan of a statement. More...

Definition | `#include <toresultplan.h>`
Inherits | toResultView [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultPlan (QWidget *parent,const char *name=NULL)
- ~toResultPlan ()
- virtual void query (const QString &sql,const toQList ¶m)
- void query (const QString &sql)
- virtual bool canHandle (toConnection &conn)

## Detailed Description

This widget displays the execution plan of a statement. The statement is identified by the first parameter which should be the address as gotten from the toSQLToAddress function.

toResultPlan (QWidget *parent,const char *name=NULL)

### toResultPlan

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultPlan ()

### ~toResultPlan

Destruct object

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons. If you prepend "SAVED:" a saved plan is read with the identified_by set to the string following the initial "SAVED:" string.

Reimplemented from toResultView.

void query (const QString &sql)

### query

Reimplemented for internal reasons.

Reimplemented from toResultView.

bool canHandle (toConnection &conn)

### canHandle

[virtual]

Support Oracle

Reimplemented from toResultView.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.